var script = {
  name: 'VueElementHighlight',
  // vue component name
  props: {
    isActive: {
      type: Boolean,
      default: false
    },
    isExitOnOutside: {
      type: Boolean,
      default: true
    },
    isCloseLabel: {
      type: Boolean,
      default: false
    },
    label: {
      type: String,
      default: "Lorem Ipsum is simply dummy text of the printing and typesetting industry."
    },
    nextLabel: {
      type: String,
      default: "Next"
    },
    closeLabel: {
      type: String,
      default: "Close"
    },
    boxClassCustom: {
      type: String,
      default: ''
    },
    position: {
      type: String,
      default: 'left'
    }
  }
};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

const isOldIE = typeof navigator !== 'undefined' &&
    /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());
function createInjector(context) {
    return (id, style) => addStyle(id, style);
}
let HEAD;
const styles = {};
function addStyle(id, css) {
    const group = isOldIE ? css.media || 'default' : id;
    const style = styles[group] || (styles[group] = { ids: new Set(), styles: [] });
    if (!style.ids.has(id)) {
        style.ids.add(id);
        let code = css.source;
        if (css.map) {
            // https://developer.chrome.com/devtools/docs/javascript-debugging
            // this makes source maps inside style tags work properly in Chrome
            code += '\n/*# sourceURL=' + css.map.sources[0] + ' */';
            // http://stackoverflow.com/a/26603875
            code +=
                '\n/*# sourceMappingURL=data:application/json;base64,' +
                    btoa(unescape(encodeURIComponent(JSON.stringify(css.map)))) +
                    ' */';
        }
        if (!style.element) {
            style.element = document.createElement('style');
            style.element.type = 'text/css';
            if (css.media)
                style.element.setAttribute('media', css.media);
            if (HEAD === undefined) {
                HEAD = document.head || document.getElementsByTagName('head')[0];
            }
            HEAD.appendChild(style.element);
        }
        if ('styleSheet' in style.element) {
            style.styles.push(code);
            style.element.styleSheet.cssText = style.styles
                .filter(Boolean)
                .join('\n');
        }
        else {
            const index = style.ids.size - 1;
            const textNode = document.createTextNode(code);
            const nodes = style.element.childNodes;
            if (nodes[index])
                style.element.removeChild(nodes[index]);
            if (nodes.length)
                style.element.insertBefore(textNode, nodes[index]);
            else
                style.element.appendChild(textNode);
        }
    }
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function () {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c('div', [_vm.isActive ? _c('div', {
    staticClass: "hgl-bg-active",
    on: {
      "click": function ($event) {
        _vm.isExitOnOutside ? _vm.$emit('closeButtonClick', true) : null;
      }
    }
  }) : _vm._e(), _vm._v(" "), _c('div', {
    staticClass: "hgl-wrapper",
    class: {
      active: _vm.isActive
    }
  }, [_c('div', {
    staticClass: "out-text"
  }, [_vm._t("default")], 2), _vm._v(" "), _vm.isActive ? _c('div', {
    staticClass: "hgl-box",
    class: [_vm.position, _vm.boxClassCustom]
  }, [_c('div', {
    staticClass: "hgl-arrow",
    class: [_vm.position]
  }), _vm._v(" "), _c('div', [_vm._v(_vm._s(_vm.label))]), _vm._v(" "), _c('div', {
    staticClass: "hgl-row-btn"
  }, [_c('div', [_vm.isCloseLabel ? _c('a', {
    staticClass: "hgl-close-btn",
    attrs: {
      "href": "javascript:void(0)"
    },
    on: {
      "click": function ($event) {
        return _vm.$emit('closeButtonClick', true);
      }
    }
  }, [_vm._v("\n              " + _vm._s(_vm.closeLabel) + "\n            ")]) : _vm._e()]), _vm._v(" "), _c('div', [_c('a', {
    staticClass: "hgl-next-btn",
    attrs: {
      "href": "javascript:void(0)"
    },
    on: {
      "click": function ($event) {
        return _vm.$emit('nextButtonClick', true);
      }
    }
  }, [_vm._v("\n              " + _vm._s(_vm.nextLabel) + "\n            ")])])])]) : _vm._e()])]);
};
var __vue_staticRenderFns__ = [];

/* style */
const __vue_inject_styles__ = function (inject) {
  if (!inject) return;
  inject("data-v-321f6f84_0", {
    source: ".hgl-bg-active[data-v-321f6f84]{box-sizing:content-box;z-index:999999;background-color:#000;inset:0;position:fixed;opacity:.8}.hgl-wrapper[data-v-321f6f84]{position:relative}.hgl-wrapper.active[data-v-321f6f84]{z-index:10000000}.hgl-wrapper.active .out-text>*[data-v-321f6f84]{color:#fff!important}.hgl-box[data-v-321f6f84]{position:absolute;left:5px;top:45px;padding:10px;min-width:225px;max-width:275px;background-color:#1b499f;color:#fff;text-align:left;border-radius:5px;box-shadow:0 1px 10px rgb(0 0 0 / 40%);transition:opacity .1s ease-out}.hgl-box.right[data-v-321f6f84]{left:unset;right:5px}.hgl-box.top[data-v-321f6f84]{top:unset;bottom:45px}.hgl-arrow[data-v-321f6f84]{border:9px solid #1b499f;content:\"\";position:absolute;top:-18px;border-color:transparent transparent #1b499f}.hgl-arrow.right[data-v-321f6f84]{right:10px}.hgl-arrow.top[data-v-321f6f84]{top:unset;bottom:-18px;border-color:#1b499f transparent transparent}.hgl-row-btn[data-v-321f6f84]{margin-top:20px;display:flex;align-items:center;justify-content:space-between}.hgl-close-btn[data-v-321f6f84]{color:#f2c94c;text-decoration:none}.hgl-next-btn[data-v-321f6f84]{color:#f2c94c;text-decoration:none}",
    map: undefined,
    media: undefined
  });
};
/* scoped */
const __vue_scope_id__ = "data-v-321f6f84";
/* module identifier */
const __vue_module_identifier__ = undefined;
/* functional template */
const __vue_is_functional_template__ = false;
/* style inject SSR */

/* style inject shadow dom */

const __vue_component__ = /*#__PURE__*/normalizeComponent({
  render: __vue_render__,
  staticRenderFns: __vue_staticRenderFns__
}, __vue_inject_styles__, __vue_script__, __vue_scope_id__, __vue_is_functional_template__, __vue_module_identifier__, false, createInjector, undefined, undefined);
var component = __vue_component__;

// Import vue component

// Default export is installable instance of component.
// IIFE injects install function into component, allowing component
// to be registered via Vue.use() as well as Vue.component(),
var entry_esm = /*#__PURE__*/(() => {
  // Get component instance
  const installable = component;

  // Attach install function executed by Vue.use()
  installable.install = Vue => {
    Vue.component('VueElementHighlight', installable);
  };
  return installable;
})();

// It's possible to expose named exports when writing components that can
// also be used as directives, etc. - eg. import { RollupDemoDirective } from 'rollup-demo';
// export const RollupDemoDirective = directive;

export { entry_esm as default };
